package com.enterprise.manage.modules.asset.domain;

import com.enterprise.manage.common.base.BaseDomain;
import org.apache.ibatis.type.Alias;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 描述：车辆信息对象 vehicle
 *
 * @author QingLi Wang
 * 2023-11-28 10:01
 */
@Alias("Vehicle")
public class Vehicle extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 车辆所有人（选择下属单位）
     */
    private Long enterpriseId;

    /**
     * 车牌号码
     */
    private String plateNumber;

    /**
     * 品牌型号
     */
    private String brandModel;

    /**
     * 车型
     */
    private String vehicleModel;

    /**
     * 排气量
     */
    private Long airDisplacement;

    /**
     * 购车价格
     */
    private BigDecimal purchasePrice;

    /**
     * 登记日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date registrationDate;

    /**
     * 使用性质（企业负责人用车、一般公务用车、生产经营用车、拟处置）
     */
    private Integer useNature;

    /**
     * 机动车使用人或部门
     */
    private String user;

    /**
     * 上报状态
     */
    private Integer escalation;

    /**
     * 审核状态
     */
    private Integer examineStatus;

    /**
     * 审核描述
     */
    private String examineDesc;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getPlateNumber() {
        return plateNumber;
    }

    public void setPlateNumber(String plateNumber) {
        this.plateNumber = plateNumber;
    }

    public String getBrandModel() {
        return brandModel;
    }

    public void setBrandModel(String brandModel) {
        this.brandModel = brandModel;
    }

    public String getVehicleModel() {
        return vehicleModel;
    }

    public void setVehicleModel(String vehicleModel) {
        this.vehicleModel = vehicleModel;
    }

    public Long getAirDisplacement() {
        return airDisplacement;
    }

    public void setAirDisplacement(Long airDisplacement) {
        this.airDisplacement = airDisplacement;
    }

    public BigDecimal getPurchasePrice() {
        return purchasePrice;
    }

    public void setPurchasePrice(BigDecimal purchasePrice) {
        this.purchasePrice = purchasePrice;
    }

    public Date getRegistrationDate() {
        return registrationDate;
    }

    public void setRegistrationDate(Date registrationDate) {
        this.registrationDate = registrationDate;
    }

    public Integer getUseNature() {
        return useNature;
    }

    public void setUseNature(Integer useNature) {
        this.useNature = useNature;
    }

    public String getUser() {
        return user;
    }

    public void setUser(String user) {
        this.user = user;
    }

    public Integer getEscalation() {
        return escalation;
    }

    public void setEscalation(Integer escalation) {
        this.escalation = escalation;
    }

    public Integer getExamineStatus() {
        return examineStatus;
    }

    public void setExamineStatus(Integer examineStatus) {
        this.examineStatus = examineStatus;
    }

    public String getExamineDesc() {
        return examineDesc;
    }

    public void setExamineDesc(String examineDesc) {
        this.examineDesc = examineDesc;
    }
}
